| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes
ffmpegkit::Statistics Class Reference

`#include <Statistics.h>`

## Public Member Functions
| Statistics (const long sessionId, const int videoFrameNumber, const float videoFps, const float videoQuality, const int64_t size, const double time, const double bitrate, const double speed)
long | getSessionId ()
int | getVideoFrameNumber ()
float | getVideoFps ()
float | getVideoQuality ()
int64_t | getSize ()
double | getTime ()
double | getBitrate ()
double | getSpeed ()

## Private Attributes
long | _sessionId
int | _videoFrameNumber
float | _videoFps
float | _videoQuality
int64_t | _size
double | _time
double | _bitrate
double | _speed

## Detailed Description

Statistics entry for an FFmpeg execute session.

Definition at line 30 of file Statistics.h.

## Constructor & Destructor Documentation

## ◆ Statistics()

ffmpegkit::Statistics::Statistics | ( | const long | sessionId,
|  | const int | videoFrameNumber,
|  | const float | videoFps,
|  | const float | videoQuality,
|  | const int64_t | size,
|  | const double | time,
|  | const double | bitrate,
|  | const double | speed
| ) |  |

Definition at line 22 of file Statistics.cpp.

## Member Function Documentation

## ◆ getBitrate()

double ffmpegkit::Statistics::getBitrate | ( |  | ) |

Definition at line 50 of file Statistics.cpp.

## ◆ getSessionId()

long ffmpegkit::Statistics::getSessionId | ( |  | ) |

Definition at line 26 of file Statistics.cpp.

## ◆ getSize()

int64_t ffmpegkit::Statistics::getSize | ( |  | ) |

Definition at line 42 of file Statistics.cpp.

## ◆ getSpeed()

double ffmpegkit::Statistics::getSpeed | ( |  | ) |

Definition at line 54 of file Statistics.cpp.

## ◆ getTime()

double ffmpegkit::Statistics::getTime | ( |  | ) |

Definition at line 46 of file Statistics.cpp.

## ◆ getVideoFps()

float ffmpegkit::Statistics::getVideoFps | ( |  | ) |

Definition at line 34 of file Statistics.cpp.

## ◆ getVideoFrameNumber()

int ffmpegkit::Statistics::getVideoFrameNumber | ( |  | ) |

Definition at line 30 of file Statistics.cpp.

## ◆ getVideoQuality()

float ffmpegkit::Statistics::getVideoQuality | ( |  | ) |

Definition at line 38 of file Statistics.cpp.

## Field Documentation

## ◆ _bitrate

double ffmpegkit::Statistics::_bitrate
| private

Definition at line 50 of file Statistics.h.

## ◆ _sessionId

long ffmpegkit::Statistics::_sessionId
| private

Definition at line 44 of file Statistics.h.

## ◆ _size

int64_t ffmpegkit::Statistics::_size
| private

Definition at line 48 of file Statistics.h.

## ◆ _speed

double ffmpegkit::Statistics::_speed
| private

Definition at line 51 of file Statistics.h.

## ◆ _time

double ffmpegkit::Statistics::_time
| private

Definition at line 49 of file Statistics.h.

## ◆ _videoFps

float ffmpegkit::Statistics::_videoFps
| private

Definition at line 46 of file Statistics.h.

## ◆ _videoFrameNumber

int ffmpegkit::Statistics::_videoFrameNumber
| private

Definition at line 45 of file Statistics.h.

## ◆ _videoQuality

float ffmpegkit::Statistics::_videoQuality
| private

Definition at line 47 of file Statistics.h.

The documentation for this class was generated from the following files:

- Statistics.h
- Statistics.cpp